http://runtime-v2-lex.{region}.amazonaws.com/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}Creates a new session or modifies an existing session with an Amazon Lex V2 bot. Use this operation to enable your application to set the state of the bot.
The identifier of the bot that receives the session data.
The alias identifier of the bot that receives the session data.
The locale where the session is in use.
The identifier of the session that receives the session data.
A list of messages to send to the user. Messages are sent in the order that they are defined in the list.
The state of the user's session with Amazon Lex V2.
<p>Request-specific information passed between Amazon Lex V2 and the client application.</p> <p>The namespace <code>x-amz-lex:</code> is reserved for special attributes. Don't create any request attributes with the prefix <code>x-amz-lex:</code>.</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://runtime-v2-lex.{region}.amazonaws.com/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://runtime-v2-lex.{region}.amazonaws.com/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}Creates a new session or modifies an existing session with an Amazon Lex V2 bot. Use this operation to enable your application to set the state of the bot.
The identifier of the bot that receives the session data.
The alias identifier of the bot that receives the session data.
The locale where the session is in use.
The identifier of the session that receives the session data.
A list of messages to send to the user. Messages are sent in the order that they are defined in the list.
The state of the user's session with Amazon Lex V2.
<p>Request-specific information passed between Amazon Lex V2 and the client application.</p> <p>The namespace <code>x-amz-lex:</code> is reserved for special attributes. Don't create any request attributes with the prefix <code>x-amz-lex:</code>.</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://runtime-v2-lex.{region}.amazonaws.com/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}